Package org.apache.synapse.mediators.bsf

# Class ScriptMediatorConstants

java.lang.Object
org.apache.synapse.mediators.bsf.ScriptMediatorConstants

public class ScriptMediatorConstants extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static String`
  `DEFAULT_SCRIPT_ENGINE`
  Default Script Engine
  `static final String`
  `GRAAL_JAVA_SCRIPT`
  Name of the java script language with usage of rhino engine.
  `static final String`
  `GRAALVM`
  Name of the graalvm js engine.
  `static final String`
  `JAVA_SCRIPT`
  Name of the java script language
  `static final String`
  `MC_VAR_NAME`
  The name of the variable made available to the scripting language to access the message
  `static final String`
  `NASHORN`
  Name of the nashorn java script engine.
  `static final String`
  `NASHORN_JAVA_SCRIPT`
  Name of the java script language with usage of nashorn engine.
  `static final String`
  `ORACLE_NASHORN_NAME`
  Factory Name for Oracle Nashorn Engine.
  `static String`
  `POOL_SIZE_PROPERTY`
  Pool size property name
  `static final String`
  `RHINO_JAVA_SCRIPT`
  Name of the java script language with usage of rhino engine.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ScriptMediatorConstants()`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### MC_VAR_NAME

    public static final String MC_VAR_NAME
    The name of the variable made available to the scripting language to access the message
    See Also:
      - Constant Field Values

  - ### JAVA_SCRIPT

    public static final String JAVA_SCRIPT
    Name of the java script language
    See Also:
      - Constant Field Values

  - ### NASHORN_JAVA_SCRIPT

    public static final String NASHORN_JAVA_SCRIPT
    Name of the java script language with usage of nashorn engine.
    See Also:
      - Constant Field Values

  - ### RHINO_JAVA_SCRIPT

    public static final String RHINO_JAVA_SCRIPT
    Name of the java script language with usage of rhino engine.
    See Also:
      - Constant Field Values

  - ### GRAAL_JAVA_SCRIPT

    public static final String GRAAL_JAVA_SCRIPT
    Name of the java script language with usage of rhino engine.
    See Also:
      - Constant Field Values

  - ### NASHORN

    public static final String NASHORN
    Name of the nashorn java script engine.
    See Also:
      - Constant Field Values

  - ### GRAALVM

    public static final String GRAALVM
    Name of the graalvm js engine.
    See Also:
      - Constant Field Values

  - ### ORACLE_NASHORN_NAME

    public static final String ORACLE_NASHORN_NAME
    Factory Name for Oracle Nashorn Engine. Built-in Nashorn engine in JDK 8 to JDK 11
    See Also:
      - Constant Field Values

  - ### POOL_SIZE_PROPERTY

    public static String POOL_SIZE_PROPERTY
    Pool size property name

  - ### DEFAULT_SCRIPT_ENGINE

    public static String DEFAULT_SCRIPT_ENGINE
    Default Script Engine

- ## Constructor Details

  - ### ScriptMediatorConstants

    public ScriptMediatorConstants()